Bug 421541 - rhnpush doesn't rollback db transactions during a failure to write to disk
rhnpush doesn't rollback db transactions during a failure to write to disk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Usability (Show other bugs)
420
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Jeff Browning
:
Depends On:
Blocks: 439866 439867
  Show dependency treegraph
 
Reported: 2007-12-12 09:13 EST by Michael Mráka
Modified: 2008-06-30 14:30 EDT (History)
0 users

See Also:
Fixed In Version: sat423
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 14:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Michael Mráka 2007-12-12 09:15:10 EST
This was done for hotfix IT #120145.
Will need just QA this bug.
Comment 2 Miroslav Suchý 2008-04-16 07:31:31 EDT
Moving to modified.
Comment 3 Miroslav Suchý 2008-05-06 05:59:52 EDT
Suggested documentation:
Rhnpush now report error, if /var/satellite contains file system error.
Comment 4 Steve Salevan 2008-05-29 13:22:17 EDT
On the latest builds of 423, on both RHEL 3 and 4, this bug appears to be VERIFIED.
Comment 5 John Ha 2008-06-02 12:15:23 EDT
Here's a suggested note:

rhnpush now reports an error if /var/satellite contains a file system error.
Comment 6 wes hayutin 2008-06-26 08:28:31 EDT
hrm.. this looks like it fails..

32000
mkdir: cannot create directory `wes32000': Too many links
[root@rlx-0-10 1]# 
[root@rlx-0-10 1]# 
[root@rlx-0-10 1]# 
[root@rlx-0-10 1]# rhnpush --server=rlx-0-10.rhndev.redhat.com --username=admin
--pass=dog8code -c weschannel /tmp/testAutoFile-1-1.0.i386.rpm 
Internal server error 500 Internal Server Error

Waiting 2 seconds and trying again...
Internal server error 500 Internal Server Error

Waiting 1 seconds and trying again...
Internal server error 500 Internal Server Error

Waiting 5 seconds and trying again...
Giving up after 3 attempts


investigating.. 
Comment 7 wes hayutin 2008-06-26 08:33:07 EDT
[root@rlx-0-10 tomcat5]# tail -f catalina.out 
        at
com.mchange.v2.c3p0.impl.NewPooledConnection.close(NewPooledConnection.java:418)
        at
com.mchange.v2.c3p0.impl.NewPooledConnection.close(NewPooledConnection.java:135)
        at
com.mchange.v2.c3p0.impl.C3P0PooledConnectionPool$1.destroyResource(C3P0PooledConnectionPool.java:208)
        at
com.mchange.v2.resourcepool.BasicResourcePool$5.run(BasicResourcePool.java:634)
        at
com.mchange.v2.async.ThreadPoolAsynchronousRunner$PoolThread.run(ThreadPoolAsynchronousRunner.java:368)
2008-06-26 11:28:01,700 [TP-Processor10] ERROR
com.redhat.rhn.common.localization.LocalizationService - *** ERROR: Message with
id: [Red Hat Enterprise Linux 5] not found.***
2008-06-26 11:28:01,700 [TP-Processor10] ERROR
com.redhat.rhn.common.localization.LocalizationService - *** ERROR: Message with
id: [Red Hat Enterprise Linux 5] not found.***
2008-06-26 11:28:14,052 [TP-Processor10] ERROR
com.redhat.rhn.common.localization.LocalizationService - *** ERROR: Message with
id: [Red Hat Enterprise Linux 5] not found.***
2008-06-26 11:28:14,052 [TP-Processor10] ERROR
com.redhat.rhn.common.localization.LocalizationService - *** ERROR: Message with
id: [Red Hat Enterprise Linux 5] not found.***
2008-06-26 11:53:11,723 [TP-Processor12] ERROR
com.redhat.rhn.frontend.servlets.AuthFilter - Session swap data damaged or
tampered; invalidating.  (1:1214466504xcbf3b402c91bf2b0ef7730353ddb3f2c)


[root@rlx-0-10 tomcat5]# cat /etc/redhat-release 
Red Hat Enterprise Linux AS release 4 (Nahant Update 5)
[root@rlx-0-10 tomcat5]# 
Comment 8 wes hayutin 2008-06-26 08:38:01 EDT
rhel 3 is the same, however nothing is logged to the tomcat log..
[root@rlx-0-14 1]# rhnpush --server=rlx-0-14.rhndev.redhat.com --username=admin
--pass=dog8code -c weschannel /tmp/testAutoFile-1-1.0.i386.rpm 
Internal server error 500 Internal Server Error

Waiting 3 seconds and trying again...
Internal server error 500 Internal Server Error

Waiting 5 seconds and trying again...
Internal server error 500 Internal Server Error

Waiting 4 seconds and trying again...
Giving up after 3 attempts
[root@rlx-0-14 1]# cat /etc/redhat-release 
Red Hat Enterprise Linux AS release 3 (Taroon Update 9)
[root@rlx-0-14 1]# 
Comment 9 wes hayutin 2008-06-26 08:56:56 EDT
ok.. so verified that push works w/o 32k directories.. this has NOT been fixed..

[root@rlx-0-14 1]# rm -Rf wes*
[root@rlx-0-14 1]# rhnpush --server=rlx-0-14.rhndev.redhat.com --username=admin
--pass=dog8code -c weschannel /tmp/testAutoFile-1-1.0.i386.rpm 
[root@rlx-0-14 1]# 
Comment 10 wes hayutin 2008-06-26 09:24:10 EDT
Ok... misread the bug.. this is actually the correct behavior, just need to
check that the package did NOT make it into the db..  which it did not..


SQL> select 1 from rhnPackageName where name = 'testAutoFile';

no rows selected

SQL> select 1 from rhnPackageName where name = 'jfreechart';          

no rows selected

Comment 11 Preethi Thomas 2008-06-30 14:30:43 EDT
4.2.3 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.